%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname autocloud
%global commit0 7fc6cfac5777b5c4439262c10a82adad51bc0c8c
%global gittag0 GIT-TAG
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})


Name:           autocloud
Version:        0.1
Release:        1%{?dist}
Summary:        A test framework to test Fedora cloud images
Group:          Applications/Internet
License:        GPLv3
URL:            http://github.com/kushaldas/autocloud
Source0:        https://github.com/kushaldas/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  fedmsg
BuildRequires:  python-sqlalchemy
BuildRequires:  python-redis
BuildRequires:  python-retask
BuildRequires:  python-sqlalchemy-utils
BuildRequires:  python-flask
Requires:       fedmsg
Requires:       python-sqlalchemy
Requires:       python-redis
Requires:       python-retask
Requires:       python-sqlalchemy-utils
Requires:       python-flask

%description
A test framework which automatically downloads and tests Fedora cloud image
builds from koji.

%prep
%setup -q -n %{name}-%{commit0}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/fedmsg.d/
%{__cp} fedmsg.d/autocloud.py %{buildroot}%{_sysconfdir}/fedmsg.d/.

%{__mkdir_p} %{buildroot}%{_datadir}/%{modname}/
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/httpd/conf.d
install -m 644 apache/%{modname}.wsgi %{buildroot}%{_datadir}/%{modname}/%{modname}.wsgi
install -m 644 apache/%{modname}.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{modname}.conf
install -m 644 autocloud_job.py %{buildroot}%{_datadir}/%{modname}/autocloud_job.py
cp -r autocloud/web/static/ %{buildroot}%{_datadir}/%{modname}/static

%{__mkdir_p} %{buildroot}%{_sbindir}
install -m 755 autocloud_job %{buildroot}%{_sbindir}/autocloud_job

mkdir -p %{buildroot}%{_sysconfdir}/%{modname}/
install -m 644 apache/%{modname}.cfg %{buildroot}%{_sysconfdir}/%{modname}/%{modname}.cfg

%{__mkdir_p} %{buildroot}%{_unitdir}
%{__install} -pm644 autocloud.service \
%{buildroot}%{_unitdir}/autocloud.service

%{__python} createdb.py
cp autocloud.db %{buildroot}%{_datadir}/%{modname}/

rm -rf %{buildroot}%{_datadir}/%{modname}/static/bootstrap

%files
%doc README.md
%license LICENSE

%dir %{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py%{pyver}.egg-info/

%config(noreplace) %{_sysconfdir}/fedmsg.d/autocloud.py*

%dir %{_sysconfdir}/%{modname}/
%config(noreplace) %{_sysconfdir}/%{modname}/%{modname}.cfg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{modname}.conf

%{_datadir}/%{modname}
%{_sbindir}/autocloud_job

%{_unitdir}/autocloud.service


%changelog
* Mon Aug 31 2015 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1-1
- Initial packaging.
